org.eclipse.viatra.cep.tooling.core.nature

## Class ViatraCepNature

- java.lang.Object
- - org.eclipse.viatra.cep.tooling.core.nature.ViatraCepNature

- All Implemented Interfaces:
    org.eclipse.core.resources.IProjectNature

      public class ViatraCepNature
      extends java.lang.Object
      implements org.eclipse.core.resources.IProjectNature

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `BUILDER_ID`
    `static java.lang.String` | `EXECUTION_ENVIRONMENT`
    `static java.lang.String` | `NATURE_ID`
    `static java.lang.String` | `SRC_DIR`
    `static java.lang.String` | `SRCGEN_DIR`
    `static java.lang.String` | `XTEXT_NATURE_ID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ViatraCepNature()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `configure()`
    `void` | `deconfigure()`
    `org.eclipse.core.resources.IProject` | `getProject()`
    `void` | `setProject(org.eclipse.core.resources.IProject project)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NATURE_ID

          public static final java.lang.String NATURE_ID

      See Also:
        Constant Field Values

    - #### XTEXT_NATURE_ID

          public static final java.lang.String XTEXT_NATURE_ID

      See Also:
        Constant Field Values

    - #### BUILDER_ID

          public static final java.lang.String BUILDER_ID

      See Also:
        Constant Field Values

    - #### SRCGEN_DIR

          public static final java.lang.String SRCGEN_DIR

      See Also:
        Constant Field Values

    - #### SRC_DIR

          public static final java.lang.String SRC_DIR

      See Also:
        Constant Field Values

    - #### EXECUTION_ENVIRONMENT

          public static final java.lang.String EXECUTION_ENVIRONMENT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ViatraCepNature

          public ViatraCepNature()

  - ### Method Detail

    - #### configure

          public void configure()
                         throws org.eclipse.core.runtime.CoreException

      Specified by:
        `configure` in interface `org.eclipse.core.resources.IProjectNature`
      Throws:
        `org.eclipse.core.runtime.CoreException`

    - #### deconfigure

          public void deconfigure()
                           throws org.eclipse.core.runtime.CoreException

      Specified by:
        `deconfigure` in interface `org.eclipse.core.resources.IProjectNature`
      Throws:
        `org.eclipse.core.runtime.CoreException`

    - #### getProject

          public org.eclipse.core.resources.IProject getProject()

      Specified by:
        `getProject` in interface `org.eclipse.core.resources.IProjectNature`

    - #### setProject

          public void setProject(org.eclipse.core.resources.IProject project)

      Specified by:
        `setProject` in interface `org.eclipse.core.resources.IProjectNature`